﻿// JScript File

// Functions to make delegate callbacks

// Make a plain delegate callback

// MakeDelegate is used to allow methods to be used as callbacks in events.
// In other words to give handlers access to 'this' and correctly associate with
// their parent control if there is more than one on the page.
function MakeDelegate(target, method)
{
    if (method == null)
    {
        throw("Method not found");
    }

    return function()
    {
        return method.apply(target, arguments);
    }
}

// Make a delegate callback that can store extra arguments
function MakeArgDelegate(target, method, clientArguments)
{
    return function()
    {
        // combine delegate args and caller args
        var newArgs = new Array();
        
        newArgs = newArgs.concat(clientArguments);
        
        for (var i = 0; i < arguments.length; i++)
        {
            newArgs.push(arguments[i]);
        }
        
        return method.apply(target, newArgs); 
    }
}

