using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class TrackBar : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Default the value
        if (String.IsNullOrEmpty(ValueTextBox.Text))
        {
            ValueTextBox.Text = minimum.ToString();
        }
    }

    private int minimum;

    /// <summary>
    /// The smallest value the control should contain
    /// </summary>
    /// <remarks>For flexibility, the capping of validation
    /// of this constraint is left to the parent form.</remarks>
    public int Minimum
    {
        get { return minimum; }
        set { minimum = value; }
    }

    /// <summary>
    /// The largest value the control should contain
    /// </summary>
    /// <remarks>For flexibility, the capping of validation
    /// of this constraint is left to the parent form.</remarks>
    public int Maximum
    {
        get { return maximum; }
        set { maximum = value; }
    }

    private int maximum;

    /// <summary>
    /// Minimum change that can be applied by the slider
    /// </summary>
    public int SmallChange
    {
        get { return smallChange; }
        set { smallChange = value; }
    }

    private int smallChange;

    /// <summary>
    /// The current value of the control
    /// </summary>
    public int Value
    {
        get
        {
            try
            {
                return int.Parse(ValueTextBox.Text);
            }
            catch
            {
                return minimum;
            }

        }
        set
        {
            ValueTextBox.Text = value.ToString();
        }
    }

    public int BarPixelWidth
    {
        get { return barPixelWidth; }
        set { barPixelWidth = value; }
    }

    private int barPixelWidth;
}
